<?php
return array(
    'controllers' => array(
        'invokables' => array(
            'Coucou\Controller\Coucou' => 'Coucou\Controller\CoucouController',
        ),
    ),

    // The following section is new and should be added to your file
    'router' => array(
        'routes' => array(
            'coucou' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/coucou[/][:action][/:id]',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'id'     => '[0-9]+',
                    ),
                    'defaults' => array(
                        'controller' => 'Coucou\Controller\Coucou',
                        'action'     => 'index',
                    ),
                ),
            ),
        ),
    ),

    'view_manager' => array(
        'template_path_stack' => array(
            'coucou' => __DIR__ . '/../view',
        ),
    ),
);

