<?php
namespace Coucou\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

class CoucouController extends AbstractActionController
{
    protected $coucouTable;

    public function indexAction()
    {
    }

    public function getAction()
    {
        $id = (int) $this->params()->fromRoute('id', 0);
        if (!$id) {
            return $this->redirect()->toRoute('coucou');
        }

        return new ViewModel(array(
            'coucous' => $this->getCoucouTable()->getCoucou($id),
        ));
    }

    public function getCoucouTable()
    {
        if (!$this->coucouTable) {
            $sm = $this->getServiceLocator();
            $this->coucouTable = $sm->get('Coucou\Model\CoucouTable');
        }
        return $this->coucouTable;
    }

}

